﻿Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows.Forms

Namespace WG_AddNewRowToTheSelectedRow
	Partial Public Class Form1
		Inherits Form

		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
			SetUpGridDataSource()
		End Sub

		Private Sub SetUpGridDataSource()
			Dim ds As New DataSet()
			Dim t1 As DataTable = ds.Tables.Add("table1")
			t1.Columns.Add("id", GetType(Integer)).AutoIncrement = True
			t1.Columns.Add("Name", GetType(String))
			t1.Columns.Add("Quantity", GetType(Integer))
			t1.Columns.Add("Price", GetType(Double))
			t1.Columns.Add("Date", GetType(Date))

			Dim t2 As DataTable = ds.Tables.Add("table2")
			t2.Columns.Add("id", GetType(Integer)).AutoIncrement = True
			t2.Columns.Add("pid", GetType(Integer))
			t2.Columns.Add("Name", GetType(String))
			t2.Columns.Add("Address", GetType(String))
			t2.Columns.Add("Number", GetType(Integer))

			ds.Relations.Add(t1.Columns("id"), t2.Columns("pid"))

			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Beverage", 50, 10.2, New Date(2008, 04, 22) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Appliances", 5, 90, New Date(2012, 05, 10) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "FastFood", 20, 32, New Date(2005, 10, 05) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Furniture", 12, 79, New Date(2009, 02, 28) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Meat", 40, 10.2, New Date(2008, 04, 22) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Fruits", 25, 12, New Date(2012, 05, 10) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Vegetables", 30, 13, New Date(2005, 10, 05) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Cars", 13, 200, New Date(2009, 02, 28) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Tools", 60, 15.3, New Date(2008, 04, 22) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Estate", 5, 3000, New Date(2012, 05, 10) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Motorcycles", 10, 320, New Date(2005, 10, 05) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Clothes", 40, 69, New Date(2009, 02, 28) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Shoes", 24, 40.6, New Date(2008, 04, 22) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Games", 53, 50, New Date(2012, 05, 10) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Books", 42, 22, New Date(2005, 10, 05) })
			ds.Tables("table1").Rows.Add(New Object() { Nothing, "Movies", 38, 19, New Date(2009, 02, 28) })

			ds.Tables("table2").Rows.Add(New Object() { Nothing, 0, "Coca - Cola", " Somewhere", 2 })
			ds.Tables("table2").Rows.Add(New Object() { Nothing, 1, "Coca - Cola", " Somewhere", 2 })
			ds.Tables("table2").Rows.Add(New Object() { Nothing, 2, "Coca - Cola", " Somewhere", 2 })
			ds.Tables("table2").Rows.Add(New Object() { Nothing, 3, "Coca - Cola", " Somewhere", 2 })

			ultraGrid1.DataSource = ds
		End Sub

		Private Sub ultraGrid1_InitializeLayout(ByVal sender As Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles ultraGrid1.InitializeLayout
			e.Layout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True

			e.Layout.Bands(0).SortedColumns.Add("Date", True, True)

			e.Layout.Override.AllowAddNew = Infragistics.Win.UltraWinGrid.AllowAddNew.Yes
			e.Layout.AddNewBox.Hidden = False

            ' This will prevent adding rows to the parent band.
            ' e.Layout.Bands(0).Override.AllowAddNew = Infragistics.Win.UltraWinGrid.AllowAddNew.No
            e.Layout.Bands(0).AddButtonCaption = "Parent"
            e.Layout.Bands(1).AddButtonCaption = "Child"

            e.Layout.Rows.ExpandAll(False)
		End Sub


	End Class
End Namespace
